org.modeshape.jcr

## Class JcrNodeTypeDelegate

- java.lang.Object
- - org.modeshape.jcr.JcrNodeTypeDelegate

- All Implemented Interfaces:
    NodeType, NodeTypeDefinition

      public final class JcrNodeTypeDelegate
      extends Object
      implements NodeType

- - ### Field Summary

    - ### Fields inherited from interface javax.jcr.nodetype.NodeType

      `MIX_CREATED, MIX_LANGUAGE, MIX_LAST_MODIFIED, MIX_LIFECYCLE, MIX_LOCKABLE, MIX_MIMETYPE, MIX_REFERENCEABLE, MIX_SHAREABLE, MIX_SIMPLE_VERSIONABLE, MIX_TITLE, MIX_VERSIONABLE, NT_ACTIVITY, NT_ADDRESS, NT_BASE, NT_CHILD_NODE_DEFINITION, NT_CONFIGURATION, NT_FILE, NT_FOLDER, NT_FROZEN_NODE, NT_HIERARCHY_NODE, NT_LINKED_FILE, NT_NODE_TYPE, NT_PROPERTY_DEFINITION, NT_QUERY, NT_RESOURCE, NT_UNSTRUCTURED, NT_VERSION, NT_VERSION_HISTORY, NT_VERSIONED_CHILD`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canAddChildNode(String childNodeName)`
    `boolean` | `canAddChildNode(String childNodeName, String primaryNodeTypeName)`
    `boolean` | `canRemoveItem(String itemName)`
    `boolean` | `canRemoveNode(String itemName)`
    `boolean` | `canRemoveProperty(String propertyName)`
    `boolean` | `canSetProperty(String propertyName, Value value)`
    `boolean` | `canSetProperty(String propertyName, Value[] values)`
    `boolean` | `equals(Object obj)`
    `org.modeshape.jcr.JcrNodeDefinition[]` | `getChildNodeDefinitions()`
    `org.modeshape.jcr.JcrNodeDefinition[]` | `getDeclaredChildNodeDefinitions()`
    `org.modeshape.jcr.JcrPropertyDefinition[]` | `getDeclaredPropertyDefinitions()`
    `NodeTypeIterator` | `getDeclaredSubtypes()`
    `String[]` | `getDeclaredSupertypeNames()`
    `org.modeshape.jcr.JcrNodeType[]` | `getDeclaredSupertypes()`
    `String` | `getName()`
    `String` | `getPrimaryItemName()`
    `org.modeshape.jcr.JcrPropertyDefinition[]` | `getPropertyDefinitions()`
    `NodeTypeIterator` | `getSubtypes()`
    `NodeType[]` | `getSupertypes()`
    `int` | `hashCode()`
    `boolean` | `hasOrderableChildNodes()`
    `boolean` | `isAbstract()`
    `boolean` | `isMixin()`
    `boolean` | `isNodeType(String nodeTypeName)`
    `boolean` | `isQueryable()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `NodeTypeDefinition`

    - #### canAddChildNode

          public boolean canAddChildNode(String childNodeName)

      Specified by:
        `canAddChildNode` in interface `NodeType`

    - #### canAddChildNode

          public boolean canAddChildNode(String childNodeName,
                                String primaryNodeTypeName)

      Specified by:
        `canAddChildNode` in interface `NodeType`

    - #### canRemoveNode

          public boolean canRemoveNode(String itemName)

      Specified by:
        `canRemoveNode` in interface `NodeType`

    - #### canRemoveItem

          public boolean canRemoveItem(String itemName)

      Specified by:
        `canRemoveItem` in interface `NodeType`

    - #### canSetProperty

          public boolean canSetProperty(String propertyName,
                               Value value)

      Specified by:
        `canSetProperty` in interface `NodeType`

    - #### canSetProperty

          public boolean canSetProperty(String propertyName,
                               Value[] values)

      Specified by:
        `canSetProperty` in interface `NodeType`

    - #### canRemoveProperty

          public boolean canRemoveProperty(String propertyName)

      Specified by:
        `canRemoveProperty` in interface `NodeType`

    - #### getDeclaredChildNodeDefinitions

          public org.modeshape.jcr.JcrNodeDefinition[] getDeclaredChildNodeDefinitions()

      Specified by:
        `getDeclaredChildNodeDefinitions` in interface `NodeTypeDefinition`

    - #### getChildNodeDefinitions

          public org.modeshape.jcr.JcrNodeDefinition[] getChildNodeDefinitions()

      Specified by:
        `getChildNodeDefinitions` in interface `NodeType`

    - #### getPropertyDefinitions

          public org.modeshape.jcr.JcrPropertyDefinition[] getPropertyDefinitions()

      Specified by:
        `getPropertyDefinitions` in interface `NodeType`

    - #### getDeclaredSupertypes

          public org.modeshape.jcr.JcrNodeType[] getDeclaredSupertypes()

      Specified by:
        `getDeclaredSupertypes` in interface `NodeType`

    - #### getDeclaredSupertypeNames

          public String[] getDeclaredSupertypeNames()

      Specified by:
        `getDeclaredSupertypeNames` in interface `NodeTypeDefinition`

    - #### getSubtypes

          public NodeTypeIterator getSubtypes()

      Specified by:
        `getSubtypes` in interface `NodeType`

    - #### getDeclaredSubtypes

          public NodeTypeIterator getDeclaredSubtypes()

      Specified by:
        `getDeclaredSubtypes` in interface `NodeType`

    - #### getPrimaryItemName

          public String getPrimaryItemName()

      Specified by:
        `getPrimaryItemName` in interface `NodeTypeDefinition`

    - #### getDeclaredPropertyDefinitions

          public org.modeshape.jcr.JcrPropertyDefinition[] getDeclaredPropertyDefinitions()

      Specified by:
        `getDeclaredPropertyDefinitions` in interface `NodeTypeDefinition`

    - #### getSupertypes

          public NodeType[] getSupertypes()

      Specified by:
        `getSupertypes` in interface `NodeType`

    - #### hasOrderableChildNodes

          public boolean hasOrderableChildNodes()

      Specified by:
        `hasOrderableChildNodes` in interface `NodeTypeDefinition`

    - #### isMixin

          public boolean isMixin()

      Specified by:
        `isMixin` in interface `NodeTypeDefinition`

    - #### isAbstract

          public boolean isAbstract()

      Specified by:
        `isAbstract` in interface `NodeTypeDefinition`

    - #### isQueryable

          public boolean isQueryable()

      Specified by:
        `isQueryable` in interface `NodeTypeDefinition`

    - #### isNodeType

          public boolean isNodeType(String nodeTypeName)

      Specified by:
        `isNodeType` in interface `NodeType`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.